<?xml version="1.0"?>
  <database name="TABLE REM_REMITTANCE_TYPE_PARAM">
    <table name="REM_REMITTANCE_TYPE_PARAM" primaryKey="REM_REMTYPE_PARAM_KEY">
      <column name="REM_REMITTANCE_TYPE_PARAM_ID" primaryKey="true" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_CLIENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_ORG_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISACTIVE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="UPDATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="UPDATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="NAME" primaryKey="false" required="true" type="NVARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="VALUE" primaryKey="false" required="false" type="NVARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="REM_REMITTANCE_TYPE_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <foreign-key foreignTable="AD_CLIENT" name="REM_REMTYPE_PARAM_AD_CLIE">
        <reference local="AD_CLIENT_ID" foreign="AD_CLIENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_ORG" name="REM_REMTYPE_PARAM_AD_ORG">
        <reference local="AD_ORG_ID" foreign="AD_ORG_ID"/>
      </foreign-key>
      <foreign-key foreignTable="REM_REMITTANCE_TYPE" name="REM_REMTYPE_PARAM_REMTYPE" onDelete="cascade">
        <reference local="REM_REMITTANCE_TYPE_ID" foreign="REM_REMITTANCE_TYPE_ID"/>
      </foreign-key>
      <index name="REM_REMTYPE_PARAM_REMTYPE" unique="false">
        <index-column name="REM_REMITTANCE_TYPE_ID"/>
      </index>
      <check name="REM_REMTYPE_PARAM_ACTIVE_CHK"><![CDATA[ISACTIVE IN ('Y', 'N')]]></check>
    </table>
  </database>
